<template>
    <div class="slds-m-top_medium slds-m-bottom_x-large">
        <h2 class="slds-text-heading_medium slds-m-bottom_medium" style="    width: 85%; float: left;">
            <lightning-icon icon-name="utility:inbox" size="small"></lightning-icon> Add New Topic
        </h2>
        <div class="slds-p-around_medium lgc-bg" style="display: contents;">
            <lightning-button variant="brand" icon-name="utility:add" onclick={createTopic} label="Add New Topic" title="Primary action" class="slds-m-left_x-small"></lightning-button>
        </div>

        <!-- Default/basic --> 
        <div class="slds-p-around_medium lgc-bg">
            <lightning-input type="text" onchange={headingChangeHandler} value={inputHeading} label="Enter Topic Heading"></lightning-input>
        </div>
        <div class="slds-p-around_medium lgc-bg">
            <lightning-input type="text" onchange={descriptionChnageHandler} value={inputDescription} label="Enter Topic Description"></lightning-input>
        </div>
        
    </div>
    <div class="slds-m-top_medium slds-m-bottom_x-large">
        <h2 class="slds-text-heading_medium slds-m-bottom_medium">
            <lightning-icon icon-name="utility:contract" size="small"></lightning-icon> Show All Topics
        </h2>
      <div>
        <div class="search">
            <input type="search" placeholder="Search sessions! Please enter" oninput={handleSearchKeyInput} />
        </div>
          <template for:each={getData1} for:item="getData">
          <div class="main-div" key={getData.Id}>
              <div class="topic-heading"><lightning-icon icon-name="utility:activity" size="x-small"></lightning-icon>Topic Heading</div>
              <h4>{getData.Name}</h4>
              <div class="topic-heading"><lightning-icon icon-name="utility:jump_to_right" size="x-small"></lightning-icon>Topic Ticket Id / Number</div>
              <h4>{getData.Task_Ticket_Id__c}</h4>
              <div class="status"><lightning-icon icon-name="utility:alert" size="x-small"></lightning-icon>Topic Status <span class={statusColor}>{getData.Topic_Status__c}</span></div>
              <div class="topic-heading"><lightning-icon icon-name="utility:layers" size="x-small"></lightning-icon>Topic Description</div>
              <h5>{getData.Topic_Description__c}</h5>
          </div>
        </template>
      </div>
    </div>
</template>